<?php
include_once('c_personal_message.php') ;
class c_page_cab_personal_message_log extends c_page_cab_personal_message
{
 public $h1='Карточка сообщения - Журнал событий' ;

 function get_cur_page_meta_tags()
 {
   if ($this->rec_mess['pkey']) $this->h1='Журнал событий по сообщению '.$this->rec_mess['pkey'] ;
 }

 function block_main()
 { $this->page_title() ;

   include_once(_DIR_EXT.'/log/report_log_events.php') ;
   $report_obj=new report_log_events() ;
   $report_obj->filter['reffer']=$this->rec_mess['_reffer'];
   $report_obj->filter['order']='pkey';
   $report_obj->view_as_HTML() ;
 }



}

?>